
namespace BooCompiler.Tests
{
	using NUnit.Framework;

	[TestFixture]
	public class StdlibTestFixture : AbstractCompilerTestCase
	{

		[Test]
		public void formatting_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/stdlib/formatting-1.boo");
		}
		
		[Test]
		public void hash_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/stdlib/hash-1.boo");
		}
		
		[Test]
		public void hash_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/stdlib/hash-2.boo");
		}
		
		[Test]
		public void join_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/stdlib/join-1.boo");
		}
		
		[Test]
		public void list_equals_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/stdlib/list-equals-1.boo");
		}
		
		[Test]
		public void list_indexof_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/stdlib/list-indexof-1.boo");
		}
		
		[Test]
		public void list_indexof_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/stdlib/list-indexof-2.boo");
		}
		
		[Test]
		public void list_indexof_3()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/stdlib/list-indexof-3.boo");
		}
		
		[Test]
		public void list_sort_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/stdlib/list-sort-1.boo");
		}
		
	}
}
